Skip to main content
POST
/
orgs
/
{org_id}
/
connectors
/
enrollment-tokens
`POST /orgs/{org_id}/connectors/enrollment-tokens`
curl --request POST \
  --url https://api.timbal.ai/orgs/{org_id}/connectors/enrollment-tokens \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "ttl_secs": 123
}
'
{
  "expires_at": "2023-11-07T05:31:56Z",
  "token": "<string>",
  "token_id": "<string>"
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required

Body

application/json
name
string | null

Operator label ("warehouse-pg box").

ttl_secs
integer<int64> | null

Token lifetime in seconds. Default 86400 (24h), max 30 days.

Response

Token minted (raw value shown once)

expires_at
string<date-time>
required
token
string
required

Raw enrollment token, shown once in the response.

token_id
string
required